Bug 140041 - x11-wm/xmonad & x11-wm/xmonad-contrib update (incl. deps)
Summary: x11-wm/xmonad & x11-wm/xmonad-contrib update (incl. deps)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-haskell (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-28 09:10 UTC by Armin Pirkovitsch
Modified: 2009-11-29 13:59 UTC (History)
0 users

See Also:


Attachments
file.diff (10.00 KB, patch)
2009-10-28 09:10 UTC, Armin Pirkovitsch
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Armin Pirkovitsch 2009-10-28 09:10:00 UTC
Update xmonad to 0.9
Update xmonad-contrib to 0.9
Update dependency hs-x11-ghc to 1.4.6.1
Bump version of hs-x11-xft-ghc (needs to recompile after the hs-x11-ghc update)

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2009-10-29 09:20:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-11-02 10:40:13 UTC
Responsible Changed
From-To: miwi->freebsd-haskell

Over to maintainer.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2009-11-03 06:15:06 UTC
Responsible Changed
From-To: freebsd-haskell->haskell

Canonicalize assignment.
Comment 4 Gabor Pali freebsd_committer 2009-11-07 20:57:34 UTC
Maintainer of x11-wm/xmonad-contrib,

Please note that PR ports/140041 has been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and I will take care of it.

The full text of the PR can be found at:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/140041

Cheers,
:g
Comment 5 Gabor Pali freebsd_committer 2009-11-07 21:03:38 UTC
State Changed
From-To: open->feedback

Awaiting maintainer's feedback.
Comment 6 Gabor Pali freebsd_committer 2009-11-08 20:05:20 UTC
Hello Ashish (maintainer of x11/hs-x11-xft-ghc),

Please note that PR ports/140041 has been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and I will take care of it.

The full text of the PR can be found at:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/140041

Cheers,
:g
Comment 7 Ashish Shukla 2009-11-09 00:25:27 UTC
Gabor PALI writes:
> Hello Ashish (maintainer of x11/hs-x11-xft-ghc),


> Please note that PR ports/140041 has been submitted.


> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and I will take care of it.


> The full text of the PR can be found at:
> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/140041


I tried it and I'm running it since few days. So, I approve the patch.

> Cheers,
> :g


Thanks
-- 
Ashish SHUKLA
Comment 8 Gabor Pali freebsd_committer 2009-11-11 02:35:41 UTC
State Changed
From-To: feedback->analyzed

Changes included in this patch are considered a sweeping commit, so they 
are deferred until 8.0 is released.
Comment 9 dfilter service freebsd_committer 2009-11-29 12:51:01 UTC
pgj         2009-11-29 12:50:51 UTC

  FreeBSD ports repository

  Modified files:
    x11/hs-x11-ghc       Makefile distinfo pkg-plist 
  Log:
  - Update to 1.4.6.1
  
  PR:             ports/140041
  Submitted by:   Armin Pirkovitsch <armin (at) frozen-zone.org>
  
  Revision  Changes    Path
  1.13      +1 -2      ports/x11/hs-x11-ghc/Makefile
  1.5       +3 -3      ports/x11/hs-x11-ghc/distinfo
  1.6       +2 -1      ports/x11/hs-x11-ghc/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter service freebsd_committer 2009-11-29 12:55:38 UTC
pgj         2009-11-29 12:55:30 UTC

  FreeBSD ports repository

  Modified files:
    x11/hs-x11-xft-ghc   Makefile 
  Log:
  - Bump PORTREVISION: x11/hs-x11-ghc was updated
  
  PR:             ports/140041
  Submitted by:   Armin Pirkovitsch <armin (at) frozen-zone.org>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.4       +1 -1      ports/x11/hs-x11-xft-ghc/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter service freebsd_committer 2009-11-29 12:58:08 UTC
pgj         2009-11-29 12:57:59 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/xmonad        Makefile distinfo pkg-plist 
  Log:
  - Update to 0.9
  
  PR:             ports/140041
  Submitted by:   Armin Pirkovitsch <armin (at) frozen-zone.org>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.11      +1 -2      ports/x11-wm/xmonad/Makefile
  1.6       +3 -3      ports/x11-wm/xmonad/distinfo
  1.6       +4 -1      ports/x11-wm/xmonad/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Gabor Pali freebsd_committer 2009-11-29 13:58:43 UTC
State Changed
From-To: analyzed->closed

Your patches have been committed.  Thank you for your submissions!